@ echo off
color a
cls
echo ****************************************************
echo Zip / Unzip Powershell for Batch Xplorer Ver 1.2beta
echo ****************************************************

:menu
cls
echo Seleziona un'opzione:
echo 1. Comprimi file o cartella
echo 2. Decomprimi un file compresso
echo 3. Esci

set /p "choice=Scelta: "
if "%choice%"=="1" (
    call :compress
) else if "%choice%"=="2" (
    call :decompress
) else if "%choice%"=="3" (
    exit /b
) else (
    echo Scelta non valida. Riprova.
    timeout /t 2 >nul
    goto :menu
)

:compress
set /p "source_path=Inserisci il percorso completo del file o della cartella da comprimere: "
set /p "destination_path=Inserisci il percorso completo della destinazione dell'archivio compresso: "

powershell -Command "Compress-Archive -Path '%source_path%' -CompressionLevel Optimal -DestinationPath '%destination_path%'"
echo Compressione completata.
pause
goto :menu

:decompress
set /p "zip_file=Inserisci il percorso completo dell'archivio compresso da decomprimere: "
set /p "destination_path=Inserisci il percorso completo della destinazione della decompressione: "

powershell -Command "Expand-Archive -Path '%zip_file%' -DestinationPath '%destination_path%'"
echo Decompressione completata.
pause
goto :menu

